#!/usr/bin/env python

import math
import rospy
from nav_msgs.msg import Odometry  

ob = []






def distance(x1, y1, x2, y2):
    xd = x1 - x2
    yd = y1 - y2
    return math.sqrt(xd*xd + yd*yd)


def callback(msg):
    x = msg.pose.pose.position.x
    y = msg.pose.pose.position.y
   

    for l_x, l_y in ob:
        dist = distance(x, y, l_x, l_y)
        if dist < 0.20:
           rospy.loginfo("Collision!")


def main():
    rospy.init_node('location_monitor')
    rospy.Subscriber("/odom", Odometry, callback)
    rospy.spin()

if __name__ == '__main__':
   main()
